@font-face {
    font-family: "DMSans";
    src:url("fonts/DMSans_Regular.woff2") format("woff2"), 
		url("fonts/DMSans_Regular.woff") format("woff"),
         url("fonts/DMSans_Regular.ttf") format("truetype"),
         url("fonts/DMSans_Regular.otf") format("opentype");
    font-weight: normal;
    font-style: normal;
    font-display: swap;
}
@font-face {
    font-family: "GillSans";
    src:url("fonts/Gill-Sans.woff2") format("woff2"), 
		url("fonts/Gill-Sans.woff") format("woff"),
         url("fonts/Gill-Sans.ttf") format("truetype"),
         url("fonts/Gill-Sans.otf") format("opentype");
    font-weight: normal;
    font-style: normal;
    font-display: swap;
}
/*zmienna koloru*/
:root {
    --font-color: #102e4a;/*16 46 74*/
	--font-a-hover:#d1c7bc;
    --bg-color: #fff;
	--second-font-color: #d1c7bc; /*209 199 188*/
	--second-font-color-hover:#dfdedb;
	--second-bg-color:#102e4a;
}

html {
  scroll-behavior: smooth;
}
body {	
	width:100%;
	height:100%;
	margin:0px;
	font-family:"GillSans", Arial, sans-serif;
	font-size: 1rem; /* 1rem i 1.33vw = 16px; 1,25rem i 1.67vw = 20px; 1.5rem i 2vw = 24px; 1.875rem i 2.5vw = 30px;   */
    line-height: 1.3;
	color: var(--font-color);
	}
/* LINKS */
a:link {
	text-decoration: none;
	color: var(--font-color);
}
a:visited {
	text-decoration: none;
	color: var(--font-color);
	}
a:hover {
  text-decoration: none;
  color: var(--font-a-hover);
	}
a:active {
  text-decoration: none;
  color: var(--font-color);
	}
a {}
h1, h2, h3 {font-family: "GillSans","DMSans", Arial, sans-serif;font-weight: 400;}
h4, h5, p {font-family: "GillSans", Arial, sans-serif;font-weight: 400;}

h1{font-size: clamp(2rem, 4vw, 3rem);line-height: 1.5;} /*clamp() = kontrola*/
h2{font-size: clamp(1.875rem, 2.5vw, 2rem);line-height: 1.4;}
h3{font-size: clamp(1.5rem, 2vw, 1.8rem);line-height: 1.4;}
h4{font-size: clamp(1.25rem, 1.67vw, 1.5rem);line-height: 1.4;}
h5{font-size: clamp(1.15rem, 1.5vw, 1.3rem);line-height: 1.4;}
p{font-size: clamp(1.15rem, 1.5vw, 1.3rem);line-height: 1.4;}
strong {color:;}

/*MENU*/
.menu {position:fixed;top:0px;left:0px;height:100px;width:100%;z-index:1;background-color:var(--second-bg-color);}
.menu a {font-size:1.15rem;color:var(--second-font-color);}
.menu-border {border-bottom: 2px solid var(--font-color);}
.menu a:hover {color:var(--second-font-color-hover);}
.menu-border:has(a:hover) {border-bottom: 2px solid var(--second-font-color);}
.menu ul li,.menu-mobile ul li {list-style: none;margin:auto 20px;}
.menu, .menu ul {display:flex;flex-decoration:row;margin: auto 0px auto auto;}
.menu-mobile {display:none;}
.menu-mobile-button {display:none;}
.logo {position:relative;height:140px;width:185px;background-color:var(--font-color);background-image: url("img/logo1.png");background-size: cover;}

/*MOBILE-MENU*/
.mobile-section {position:fixed;top:0px;left:0px;width:100%;height:50px;z-index:1;background-color:var(--second-bg-color);}
.mobile-section {display:none;}
/*Zamiana przycisku mobilnego po kliknieciu */
.menu-mobile-button, .menu-mobile-button div {height:48px;width:48px;}
.menu-mobile-button div {background-image: url("icon/mobBtn1.png");background-size: cover;background-position:center;}
.cross div {background-image: url("icon/cross1.png");background-size: cover;background-position:center;}


.facebook {height:30px;width:30px;background-image: url("img/facebook1.png");background-size: cover;}
.instagram {height:30px;width:30px;background-image: url("img/instagram1.png");background-size: cover;}
.twitter {height:30px;width:30px;background-image: url("img/twitter1.png");background-size: cover;}

.facebook:hover {background-image: url("img/facebook2.png");background-size: cover;}
.instagram:hover {background-image: url("img/instagram2.png");background-size: cover;}
.twitter:hover {background-image: url("img/twitter2.png");background-size: cover;}

.space-between {position:relative;min-height:70px;}
.space-between2 {position:relative;min-height:100px;}

/*FOOTER*/
footer{max-height:150px;}
.logo-footer {position:absolute;top:-51px;height:120px;width:160px;left:0px;right:0px; margin:auto;background-image: url("img/logo3.png");background-size: cover;} 
.menu-footer{position:relative;display:flex;min-height:200px;background-color:var(--second-bg-color);flex-direction: column;  align-items: flex-end;justify-content: center;padding-top:50px;}
.menu-footer a, .menu-footer li {font-size:1.15rem;color:var(--second-font-color);}
.menu-footer a:hover {color:var(--second-font-color-hover);}
.menu-footer ul li{list-style: none;margin:auto 20px;flex-wrap: wrap;} 
.menu-footer ul {display:flex;flex-decoration:row;margin:10px auto;flex-wrap: wrap;padding:0px;}



/*====SZKIELET================================================================*/

section {	
	position:relative;
	width:100%;
	min-height:100px;
	margin:0px;
	display:flex;
	flex-wrap: wrap;
	align-items: center;
	justify-content: center;
	background-color:var(--bg-color);
	}
.container  {
	position:relative;
	display:flex;
	flex-wrap: wrap;
	background-color:;
	min-height:30px;
	margin:0px;
	}	
.columns-all {
	width:100%;
	}
.columns-one {
	width:1600px;
	}
.columns-two {
	width:800px;
	}
.columns-three {
	width:533.33px;
	}
.columns-four {
	width:400px;
	}
.columns-five {
	width:320px;
	}
	
	
@media only screen and (max-width: 1600px) {
	.columns-one {
		width:1400px;
		}	
	.columns-two {
		width:700px;
		}
	.columns-three {
		width:466.66px;
		}
	.columns-four {
		width:350px;
		}
	.columns-five {
	width:280px;
	}
}

 @media only screen and (max-width: 1400px) {
	.columns-one {
		width:1200px;
		}	
	.columns-two {
		width:600px;
		}
	.columns-three {
		width:400px;
		}
	.columns-four {
		width:300px;
		}
	.columns-five {
	width:240px;
	}
}

/*===MOBILE==================================================*/
@media only screen and (max-width: 1200px) {
	.columns-one {
		width:90%;
		}	
	.columns-two {
		width:90%;
		}
	.columns-three {
		width:90%;
		}
	.columns-four {
		width:90%;
		}
	.columns-five {
	width:90%;
	}
	/*mobilne menu*/
	.menu {display:none;}
	.mobile-section {display:flex;flex-wrap: wrap;}
	.menu-mobile-logo {height:48;width:60px;background-image: url("img/logo-mobile.png");background-size: 100%;background-repeat: no-repeat;}
	.menu-mobile-button {display:flex;background-color:var(--second-bg-color);margin:0px 0px auto auto;}
	.menu-mobile-button div {  
	  color: #102e4a;      /* zmienia kolor ikonki */

	}
	.menu-mobile ul li a {color:var(--second-font-color);}
	.menu-mobile ul:nth-child(n+2){display:flex;flex-decoration:row;}
	.menu-mobile {transition: max-height 0.5s cubic-bezier(.4,0,.2,1);background-color:var(--second-bg-color);width:100%;}
	.show {display:flex;flex-direction: column;animation: expandHeight 0.4s ease-out forwards;}
	@keyframes expandHeight {
	  from {
		height: 0px;
	  }
	  to {
		height: 400px; /* docelowa wysokość */
	  }
	}
	.show ul li {animation: expandLink 0.4s ease-out forwards;}
		@keyframes expandLink {0% {opacity:0;}80% {opacity:0;}100% {opacity:1;}}
	.no-show ul li {animation: endLink 0.1s ease-out forwards;}
	@keyframes endLink {
		from {opacity:1;}
		to {opacity:0;}
	}
	.no-show {animation: endHeight 0.5s ease-out forwards;}
		@keyframes endHeight {
	  0% {display:flex;
		height: 400px;
	  }
	  95% {
		height: 0px; 
	  }
	  	  100% {
		display:none; 
	  }
	}
	/*mobile footer*/
	.menu-footer {padding-top:70px;}
	.menu-footer ul li {margin-top:20px;text-align:center;}
	.menu-footer, .menu-footer ul {display:flex; align-items: center;justify-content: center;}
	.space-between2 {position:relative;min-height:50px;}
}
/* CIASTECZKA*/
.cookie-popup {
    position: fixed;
    bottom: 20px;
    right: 20px;
    width: 300px;
    padding: 20px;
    background: white;
    border: 2px solid #333;
    border-radius: 10px;
    box-shadow: 0 0 15px rgba(0,0,0,0.2);
    font-family: Arial, sans-serif;
    display: none; /* Domyślnie ukryte */
    z-index: 9999;
}

.cookie-popup button {
    margin-right: 10px;
    padding: 8px 12px;
}
